Heartbleed

All our servers have been patched to¬†OpenSSL version¬†1.0.1e to ensure that the servers and our clients’ sites are protected from the Heartbleed exploit.

 

This entry was posted in Software Updates. Bookmark the permalink.